## org.apache.lucene.analysis
Class LengthFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.LengthFilter

    public final class LengthFilter

extends TokenFilter

Removes words that are too long and too short from the stream.

Version:
  $Id: LengthFilter.java 564715 2007-08-10 18:34:33Z mikemccand $

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`LengthFilter(TokenStream in, int min, int max)` Build a filter that removes words that are too long or too short from the text.

Method Summary
`Token` `next(Token result)` Returns the next input Token whose termText() is the right len

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LengthFilter

    public LengthFilter(TokenStream in,
                        int min,
                        int max)

  Build a filter that removes words that are too long or too short from the text.

Method Detail

### next

    public final Token next(Token result)
                     throws IOException

  Returns the next input Token whose termText() is the right len

  Overrides:
    `next` in class `TokenStream`
  Parameters:
    `result` - a Token that may or may not be used to return
  Returns:
    next token in the stream or null if end-of-stream was hit
  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.